We've launched a new documentation site. Visit docs.portal.io for the latest version.

Zapier Triggers

Zapier triggers on the following events in Portal

  1. Proposal Status Change
  2. Person modification
  3. Order Status Change
  4. Payment Status Change

Zapier Trigger on Person Modification

Provides the sample response shape for the Zapier contact trigger. Use this trigger when you want Zapier to receive contact updates, including contact changes and related contact details.

Request
header Parameters
Accept
required
string

Accept Header

Value: "application/json"
Responses
200

Person Item.

Response Schema: application/json
object (PublicLocationModel)

Location and address details.

id
required
integer <int32>

Unique numeric identifier of the contact

partyType
required
string

Contact party type such as Person or Company

Enum: "Undefined" "Person" "Company"
contactType
required
string

Contact category type

Enum: "Undefined" "Client" "Employee" "Contractor" "Other"
firstName
string

Contact first name

lastName
string

Contact last name

companyName
string

Company name when the contact represents a company

contactEmail
string

Primary contact email address

contactEmailCC
string

Additional email addresses copied when a proposal is submitted

contactPhone
string

Primary contact phone number

401

Authentication failed. Verify the HMAC headers and credentials used for the request.

get/zapier/trigger/person
Request samples
Response samples
application/json
{
  • "location": {
    },
  • "id": 0,
  • "partyType": "Undefined",
  • "contactType": "Undefined",
  • "firstName": "string",
  • "lastName": "string",
  • "companyName": "string",
  • "contactEmail": "string",
  • "contactEmailCC": "string",
  • "contactPhone": "string"
}

Zapier Trigger for Payment Status Change

Provides the sample response shape for the Zapier payment trigger. Use this trigger when you want Zapier to receive payment updates, including payment status changes and related payment details.

Request
header Parameters
Accept
required
string

Accept Header

Value: "application/json"
Responses
200

Payment Item.

Response Schema: application/json
id
integer <int32>
description
string
status
string
amount
number <double>
createdDate
string <date-time>
modifiedDate
string <date-time>
dueDate
string <date-time>
initiatedPaymentDate
string <date-time>
paidDate
string <date-time>
clientFirstName
string
clientLastName
string
clientName
string
personId
integer <int32>
proposalId
integer <int32>
proposalNumber
integer <int32>
number
integer <int32>
paidVia
string
isEstExpired
boolean
paymentProcessorType
string
proposalPaymentScheduleItemId
integer <int32>
401

Authentication failed. Verify the HMAC headers and credentials used for the request.

get/zapier/trigger/payment
Request samples
Response samples
application/json
{
  • "id": 0,
  • "description": "string",
  • "status": "string",
  • "amount": 0,
  • "createdDate": "2019-08-24T14:15:22Z",
  • "modifiedDate": "2019-08-24T14:15:22Z",
  • "dueDate": "2019-08-24T14:15:22Z",
  • "initiatedPaymentDate": "2019-08-24T14:15:22Z",
  • "paidDate": "2019-08-24T14:15:22Z",
  • "clientFirstName": "string",
  • "clientLastName": "string",
  • "clientName": "string",
  • "personId": 0,
  • "proposalId": 0,
  • "proposalNumber": 0,
  • "number": 0,
  • "paidVia": "string",
  • "isEstExpired": true,
  • "paymentProcessorType": "string",
  • "proposalPaymentScheduleItemId": 0
}

Zapier Trigger for Proposal Status Change

Provides the sample response shape for the Zapier proposal trigger. Use this trigger when you want Zapier to receive proposal updates, including proposal status changes and related proposal details.

Request
header Parameters
Accept
required
string

Accept Header

Value: "application/json"
Responses
200

Proposal List.

Response Schema: application/json
number
integer <int32>
status
string
total
number <double>
object (PublicCustomerModel)

Customer contact

proposalPdf
string
proposalCsv
string
installerPdf
string
salesPerson
string
salesPersonEmail
string
Array of objects (PublicAreaModel)
required
object (PublicFinancialSummaryModel)

Financial totals, discounts, tax, and currency values for the proposal

object (PublicProfitModel)

Profit summary for the proposal

object (PublicRecurringServicesModel)

Recurring service summary associated with the proposal.

Array of objects (PublicChangeOrderModel)
id
required
integer <int32>
name
string
401

Authentication failed. Verify the HMAC headers and credentials used for the request.

get/zapier/trigger/proposal
Request samples
Response samples
application/json
{
  • "number": 0,
  • "status": "string",
  • "total": 0,
  • "customer": {
    },
  • "proposalPdf": "string",
  • "proposalCsv": "string",
  • "installerPdf": "string",
  • "salesPerson": "string",
  • "salesPersonEmail": "string",
  • "areas": [
    ],
  • "financialSummary": {
    },
  • "profit": {
    },
  • "recurringServices": {
    },
  • "changeOrders": [
    ],
  • "id": 0,
  • "name": "string"
}

Zapier Trigger for Order Status Change

Provides the sample response shape for the Zapier order trigger. Use this trigger when you want Zapier to receive order updates, including order status changes and related order details.

Request
header Parameters
Accept
required
string

Accept Header

Value: "application/json"
Responses
200

Order Item

Response Schema: application/json
number
integer <int32>
createdDate
string <date-time>
modifiedDate
string <date-time>
status
string
total
number <double>
partCount
number <double>
Array of objects (ZapierOrderSupplierItem)
id
required
integer <int32>
name
string
401

Authentication failed. Verify the HMAC headers and credentials used for the request.

get/zapier/trigger/order
Request samples
Response samples
application/json
{
  • "number": 0,
  • "createdDate": "2019-08-24T14:15:22Z",
  • "modifiedDate": "2019-08-24T14:15:22Z",
  • "status": "string",
  • "total": 0,
  • "partCount": 0,
  • "orderSuppliers": [
    ],
  • "id": 0,
  • "name": "string"
}